Genivia - wsc__DerivedKeyTokenType Struct Reference

|  | Home | Documentation | wsc__DerivedKeyTokenType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Classes | Public Attributes | List of all members
wsc__DerivedKeyTokenType Struct Reference

"http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":DerivedKeyTokenType is a complexType. More...

`#include <wsc.h>`

Collaboration diagram for wsc__DerivedKeyTokenType:
[legend]

## Classes
struct | __wsc__DerivedKeyTokenType_sequence

## Public Attributes
_wsse__SecurityTokenReference * | wsse__SecurityTokenReference
| Imported element reference "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd":SecurityTokenReference. More...
struct wsc__PropertiesType * | Properties
| Element "Properties" of XSD type "http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":PropertiesType. More...
struct wsc__DerivedKeyTokenType::__wsc__DerivedKeyTokenType_sequence * | __DerivedKeyTokenType_sequence
char * | Label
| Element reference "http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512:""http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":Label. More...
char * | Nonce
| Element reference "http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512:""http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":Nonce. More...
char * | wsu__Id
| Imported attribute reference "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd":Id. More...
char * | Algorithm
| Attribute "Algorithm" of XSD type xs:anyURI. More...

## Detailed Description

"http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":DerivedKeyTokenType is a complexType.

## Member Data Documentation

struct wsc__DerivedKeyTokenType::__wsc__DerivedKeyTokenType_sequence * wsc__DerivedKeyTokenType::__DerivedKeyTokenType_sequence

char* wsc__DerivedKeyTokenType::Algorithm

Attribute "Algorithm" of XSD type xs:anyURI.

Optional attribute.

char* wsc__DerivedKeyTokenType::Label

Element reference "http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512:""http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":Label.

Optional element.

char* wsc__DerivedKeyTokenType::Nonce

Element reference "http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512:""http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":Nonce.

Optional element.

struct wsc__PropertiesType* wsc__DerivedKeyTokenType::Properties

Element "Properties" of XSD type "http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":PropertiesType.

Optional element.

_wsse__SecurityTokenReference* wsc__DerivedKeyTokenType::wsse__SecurityTokenReference

Imported element reference "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd":SecurityTokenReference.

Optional element.

char* wsc__DerivedKeyTokenType::wsu__Id

Imported attribute reference "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd":Id.

Optional attribute.

The documentation for this struct was generated from the following file:

- wsc.h